Bug 163460

Summary: Support (insertFrom|deleteBy)Composition and (insert|delete)CompositionText inputTypes for InputEvents
Product: WebKit Reporter: Wenson Hsieh <wenson_hsieh>
Component: HTML EditingAssignee: Wenson Hsieh <wenson_hsieh>
Status: RESOLVED FIXED    
Severity: Normal CC: bdakin, buildbot, commit-queue, enrica, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 163112    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
darin: review+, buildbot: commit-queue-
Archive of layout-test-results from ews115 for mac-yosemite
none
Archive of layout-test-results from ews107 for mac-yosemite-wk2
none
Archive of layout-test-results from ews103 for mac-yosemite
none
Fix test failures
none
Patch for landing none

Description Wenson Hsieh 2016-10-14 14:39:15 PDT
Support (insertFrom|deleteBy)Composition and (insert|delete)CompositionText inputTypes for InputEvents
Comment 1 Wenson Hsieh 2016-10-14 17:01:11 PDT
<rdar://problem/28784142>
Comment 2 Wenson Hsieh 2016-10-17 11:22:05 PDT
Created attachment 291839 [details]
Patch
Comment 3 Wenson Hsieh 2016-10-17 13:44:39 PDT
Created attachment 291865 [details]
Patch
Comment 4 Wenson Hsieh 2016-10-17 20:04:25 PDT
Actually, we're putting this on hold for now while we clarify the following issues on the input events GitHub:

https://github.com/w3c/input-events/issues/41
https://github.com/w3c/input-events/issues/42
Comment 5 Wenson Hsieh 2016-10-20 19:34:43 PDT
We have enough information for a basic implementation, but a more rigorous plan for coordinating input event dispatching with composition event dispatching is still needed.
Comment 6 Wenson Hsieh 2016-10-21 10:57:35 PDT
Created attachment 292376 [details]
Patch
Comment 7 Build Bot 2016-10-21 12:00:51 PDT
Comment on attachment 292376 [details]
Patch

Attachment 292376 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2339417

New failing tests:
editing/input/select-all-clear-input-method.html
editing/mac/input/text-input-controller.html
Comment 8 Build Bot 2016-10-21 12:00:54 PDT
Created attachment 292380 [details]
Archive of layout-test-results from ews115 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Build Bot 2016-10-21 12:04:04 PDT
Comment on attachment 292376 [details]
Patch

Attachment 292376 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2339441

New failing tests:
editing/input/select-all-clear-input-method.html
Comment 10 Build Bot 2016-10-21 12:04:07 PDT
Created attachment 292381 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 11 Build Bot 2016-10-21 12:11:35 PDT
Comment on attachment 292376 [details]
Patch

Attachment 292376 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2339484

New failing tests:
editing/input/select-all-clear-input-method.html
editing/mac/input/text-input-controller.html
Comment 12 Build Bot 2016-10-21 12:11:38 PDT
Created attachment 292382 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 13 Wenson Hsieh 2016-10-21 14:57:44 PDT
Created attachment 292417 [details]
Fix test failures
Comment 14 Wenson Hsieh 2016-10-21 15:34:22 PDT
Created attachment 292421 [details]
Patch for landing
Comment 15 WebKit Commit Bot 2016-10-21 16:08:52 PDT
Comment on attachment 292421 [details]
Patch for landing

Clearing flags on attachment: 292421

Committed r207698: <http://trac.webkit.org/changeset/207698>